Subject: latna: Lotus or Nelumbo?

From: Pierre Abbat <[email-masked]>
Date: Thu, 25 Oct 2001 00:55:30 -0400

Wading through pages about corporate taxonomy software by Lotus, I found that 
there are two completely different plants called lotus: the genus Lotus, 
which is in the family Fabaceae, and the genus Nelumbo, in the family 
Nelumbonaceae. The flattish seed head with some twenty holes with a seed in 
each is Nelumbo. Which is latna?

phma